
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"

begin

;--------- Read in PCs time series -------------------
  f		= addfile ("ERAI.eof_cdata.19860101-20161231.10S-40N.40E-160E.May-Oct.day.mean.nc", "r")
  ceof		= f->ceof
  eof_ts	= f->eof_ts_cdata
  printVarSummary(ceof)
  printVarSummary(eof_ts)

 dims	= dimsizes(eof_ts)
 nEOF	= dims(0)
 ntim	= dims(1)

;-------- Normalied PC1 and PC2 --------------------
   var_ts	= dim_variance_n_Wrap(eof_ts,1)
   printVarSummary(var_ts)
   print(sqrt(var_ts))
;exit

   ts_nor		= eof_ts	; Just copy var meta
   ts_nor		= 0
   do i = 0,nEOF-1
   	ts_nor(i,:)	= eof_ts(i,:)/(sqrt(var_ts(i)))
  end do
  printVarSummary(ts_nor)
  ;print(eof_ts_nor(0,:))

  bsiso	= new((/2,ntim/),integer)
  bsiso	= 0
  bsiso1 = sqrt(ts_nor(0,:)^2 + ts_nor(1,:)^2)
  bsiso2 = sqrt(ts_nor(2,:)^2 + ts_nor(3,:)^2)
printVarSummary(bsiso1)
printVarSummary(bsiso2)
print(bsiso1(0:99))
exit

;-------------------------------------------------------------------------------------
;-------------------------- seperate BSISO phases ------------------------------------
;-------------------------------------------------------------------------------------
  do n = 0,ntim-1
;---------------- seperate BSISO1 phases 1-8 based on normalied PC1 and PC2 ----------
     if (bsiso1(n).ge.1.5) then
	if ((ts_nor(0,n).gt.0).and.(ts_nor(1,n).lt.0).and.(abs(ts_nor(0,n)).lt.abs(ts_nor(1,n)))) then
	   bsiso(0,n) = 1
	end if
	if ((ts_nor(0,n).gt.0).and.(ts_nor(1,n).lt.0).and.(abs(ts_nor(0,n)).gt.abs(ts_nor(1,n)))) then
	   bsiso(0,n) = 2
	end if
	if ((ts_nor(0,n).gt.0).and.(ts_nor(1,n).gt.0).and.(abs(ts_nor(0,n)).gt.abs(ts_nor(1,n)))) then
           bsiso(0,n) = 3
        end if
        if ((ts_nor(0,n).gt.0).and.(ts_nor(1,n).gt.0).and.(abs(ts_nor(0,n)).lt.abs(ts_nor(1,n)))) then
           bsiso(0,n) = 4
        end if
        if ((ts_nor(0,n).lt.0).and.(ts_nor(1,n).gt.0).and.(abs(ts_nor(0,n)).lt.abs(ts_nor(1,n)))) then
           bsiso(0,n) = 5
        end if
        if ((ts_nor(0,n).lt.0).and.(ts_nor(1,n).gt.0).and.(abs(ts_nor(0,n)).gt.abs(ts_nor(1,n)))) then
           bsiso(0,n) = 6
        end if
        if ((ts_nor(0,n).lt.0).and.(ts_nor(1,n).lt.0).and.(abs(ts_nor(0,n)).gt.abs(ts_nor(1,n)))) then
           bsiso(0,n) = 7
        end if
        if ((ts_nor(0,n).lt.0).and.(ts_nor(1,n).lt.0).and.(abs(ts_nor(0,n)).lt.abs(ts_nor(1,n)))) then
           bsiso(0,n) = 8
        end if
     end if
;------- seperate BSISO2 phases 1-8 based on normalied PC3 and PC4 -------------------------
     if (bsiso2(n).gt.1.5) then
        if ((ts_nor(2,n).gt.0).and.(ts_nor(3,n).lt.0).and.(abs(ts_nor(2,n)).lt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 1
        end if
        if ((ts_nor(2,n).gt.0).and.(ts_nor(3,n).lt.0).and.(abs(ts_nor(2,n)).gt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 2
        end if
        if ((ts_nor(2,n).gt.0).and.(ts_nor(3,n).gt.0).and.(abs(ts_nor(2,n)).gt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 3
        end if
        if ((ts_nor(2,n).gt.0).and.(ts_nor(3,n).gt.0).and.(abs(ts_nor(2,n)).lt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 4
        end if
        if ((ts_nor(2,n).lt.0).and.(ts_nor(3,n).gt.0).and.(abs(ts_nor(2,n)).lt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 5
        end if
        if ((ts_nor(2,n).lt.0).and.(ts_nor(3,n).gt.0).and.(abs(ts_nor(2,n)).gt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 6
        end if
        if ((ts_nor(2,n).lt.0).and.(ts_nor(3,n).lt.0).and.(abs(ts_nor(2,n)).gt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 7
        end if
        if ((ts_nor(2,n).lt.0).and.(ts_nor(3,n).lt.0).and.(abs(ts_nor(2,n)).lt.abs(ts_nor(3,n)))) then
           bsiso(1,n) = 8
        end if
     end if
   end do

	bsiso!0	= "EOF"
	bsiso!1	= "time"

;----------------- write out BSISO phases ------------------
        filo    = "ERAI.BSISO.index.nc"
        print("output file = "+filo)
        system("/bin/rm -f "+filo)      ; rm any pre-exist file, if any
        ncdf            = addfile(filo,"c")
        ncdf->index  = bsiso
end
